---
apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: voicesdk-server-deployment
spec:
  selector:
    matchLabels:
      app: voicesdk-server
  replicas: 1 # tells deployment to run 2 pods matching the template
  template:
    metadata:
      labels:
        app: voicesdk-server
    spec:
      containers:
      - name: voicesdk-server
        image: 367672406076.dkr.ecr.eu-central-1.amazonaws.com/voicesdk/oicesdk-server-protected-eval:3.8.0
        ports:
        - containerPort: 8080
        env:
        - name: "S3_TOKEN"
          value: "****************"
        - name: "S3_SECRET"
          value: "***********************"
        - name: "S3_REGION"
          value: "us-east-1"
        - name: "S3_BUCKET"
          value: "mybucket"
        - name: "S3_PATH"
          value: "voice-samples"
        - name: "LOGSTASH_HOST"
          value: "elk.idrnd.net" 
        - name: "LOGSTASH_PORT"
          value: "5959"
        - name: "SERVER_ALLOW_CORS"
          value: "true"
